Page MenuHomePhabricator

Disable 2FA for User:Alangi_Derick on Wikitech
Closed, ResolvedPublic

Description

Please, I would like 2FA to be disabled for my Wikitech account as I've lost my device (phone) and I don't have a way to get the tokens. Thanks!

Event Timeline

D3r1ck01 created this task.May 6 2019, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2019, 9:25 PM
JJMC89 added a subscriber: JJMC89.May 9 2019, 5:41 AM

The most common identity confirmation I've seen for Wikitech 2FA resets is to create a file in your home folder on a Toolforge/Cloud VPS bastion referencing this ticket, eg ~/T222663 with contents Please reset my Wikitech 2FA.. (Password reset § Reset two factor authentication) Another option is to email ca at wikimedia dot org from the email associated with your account and include a link to this ticket.

jrbs triaged this task as High priority.May 9 2019, 9:59 PM
jrbs moved this task from Backlog to Support on the Trust-and-Safety board.
jrbs added a subscriber: jrbs.

The most common identity confirmation I've seen for Wikitech 2FA resets is to create a file in your home folder on a Toolforge/Cloud VPS bastion referencing this ticket, eg ~/T222663 with contents Please reset my Wikitech 2FA.. (Password reset § Reset two factor authentication) Another option is to email ca at wikimedia dot org from the email associated with your account and include a link to this ticket.

Yes please - either or both of these options would be perfect.

@jrbs, @JJMC89, thanks a lot for the options. I've just follow option one for creating a ticket file on Toolforge.

jrbs added a comment.May 9 2019, 10:26 PM

@jrbs, @JJMC89, thanks a lot for the options. I've just follow option one for creating a ticket file on Toolforge.

Thanks - just be sure to let me know where you put it.

At the root (~/) of my bastion as proposed by @JJMC89. The name of the file is this ticket ID :)

jrbs added a comment.May 9 2019, 10:38 PM

At the root (~/) of my bastion as proposed by @JJMC89. The name of the file is this ticket ID :)

Thanks :) which bastion? could you give me the full path including shell name? thanks :)

derick@tools-sgebastion-07, so shellname is derick :), thanks

bd808 closed this task as Resolved.May 15 2019, 3:24 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.
$ sudo cat ~derick/T222663
Please reset my Wikitech 2FA.
$ mwscript extensions/OATHAuth/maintenance/disableOATHAuthForUser.php --wiki=labswiki "Alangi Derick"
OATHAuth disabled for Alangi Derick.

Thank you very much @bd808. I can confirm that the 2FA has been disabled. :)